#ifndef MARS_MTopologyCalc
#define MARS_MTopologyCalc

#ifndef MARS_MTask
#include "MTask.h"
#endif

class MGeomCam;
class MCerPhotEvt;
class MTopology;

class MTopologyCalc : public MTask
{
private:

    const MGeomCam     *fGeomCam;
    const MCerPhotEvt  *fCerPhotEvt;

    MTopology      *fTopology;

    Int_t       fErrors;
   
    Int_t PreProcess(MParList *plist);
    Int_t Process();
    Int_t PostProcess();

public:

    MTopologyCalc(const char *name=NULL, const char *title=NULL);
    
    ClassDef(MTopologyCalc, 0) // task to calculate....
};

#endif
